
%global meadversion 7.0.0
%global namedversion 7.0.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead
%bcond_with test_utils

%{?scl:%scl_package jbossws-cxf}
%{!?scl:%global pkg_name %{name}}

%global wildflyver1800 1800
%global wildflyver1900 1900
%global wildflyver2000 2000
%global wildflyver2400 2400
%global wildflyver2500 2500
%global wildflyver2600 2600
%global wildflyver2700 2700

%define maven_version 7.0.0.Final-redhat-00001

Name:           %{?scl_prefix}jbossws-cxf
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Web Services - Stack CXF
Group:          Development/Java

%if %with mead
Source100: jbossws-cxf-7.0.0.Final-redhat-00001-project-sources.tar.gz
Source102: jbossws-cxf-feature-pack-7.0.0.Final-redhat-00001.pom
Source103: jbossws-cxf-specific-tests-7.0.0.Final-redhat-00001.jar
Source104: jbossws-cxf-server-7.0.0.Final-redhat-00001.jar
Source105: jbossws-cxf-feature-pack-7.0.0.Final-redhat-00001.zip
Source106: jbossws-cxf-feature-pack-7.0.0.Final-redhat-00001.jar
Source107: jbossws-cxf-transports-udp-7.0.0.Final-redhat-00001-sources.jar
Source108: jbossws-cxf-feature-pack-7.0.0.Final-redhat-00001-artifact-list.txt
Source109: jbossws-cxf-client-7.0.0.Final-redhat-00001-sources.jar
Source110: jbossws-cxf-resources-7.0.0.Final-redhat-00001.pom
Source111: jbossws-cxf-test-utils-7.0.0.Final-redhat-00001.pom
Source112: jbossws-cxf-client-7.0.0.Final-redhat-00001.pom
Source113: jbossws-cxf-client-7.0.0.Final-redhat-00001.jar
Source114: jbossws-cxf-feature-pack-7.0.0.Final-redhat-00001-sources.jar
Source115: jbossws-cxf-performance-tests-7.0.0.Final-redhat-00001.jar
Source116: jbossws-cxf-factories-7.0.0.Final-redhat-00001-sources.jar
Source117: jbossws-cxf-shared-tests-7.0.0.Final-redhat-00001.pom
Source118: jbossws-cxf-transports-undertow-7.0.0.Final-redhat-00001.jar
Source119: jbossws-cxf-performance-tests-7.0.0.Final-redhat-00001.pom
Source120: jbossws-cxf-resources-7.0.0.Final-redhat-00001-sources.jar
Source121: jbossws-cxf-transports-undertow-7.0.0.Final-redhat-00001.pom
Source122: jbossws-cxf-transports-udp-7.0.0.Final-redhat-00001.pom
Source123: jbossws-cxf-factories-7.0.0.Final-redhat-00001.pom
Source124: jbossws-cxf-factories-7.0.0.Final-redhat-00001.jar
Source125: jbossws-cxf-test-utils-7.0.0.Final-redhat-00001-sources.jar
Source126: jbossws-cxf-server-7.0.0.Final-redhat-00001.pom
Source127: jbossws-cxf-testsuite-7.0.0.Final-redhat-00001.pom
Source128: jbossws-cxf-7.0.0.Final-redhat-00001.pom
Source129: jbossws-cxf-server-7.0.0.Final-redhat-00001-sources.jar
Source130: jbossws-cxf-addons-7.0.0.Final-redhat-00001.pom
Source131: jbossws-cxf-transports-udp-7.0.0.Final-redhat-00001.jar
Source132: jbossws-cxf-transports-undertow-7.0.0.Final-redhat-00001-sources.jar
Source133: jbossws-cxf-resources-7.0.0.Final-redhat-00001.jar
Source134: jbossws-cxf-shared-tests-7.0.0.Final-redhat-00001.jar
Source135: jbossws-cxf-test-utils-7.0.0.Final-redhat-00001.jar
Source136: jbossws-cxf-specific-tests-7.0.0.Final-redhat-00001.pom
%endif

License:        LGPLv2+
URL:            https://github.com/jbossws/jbossws-cxf

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JBossWS CXF stack.

%prep
%setup -q -n jbossws-cxf-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if 0
%{__cp} -p %{_sourcedir}/jbossws-cxf-jaspi-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-jaspi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-jaspi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-jaspi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-jaspi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-jaspi-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-server-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-server-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-server-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-server-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-server-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-client-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-factories-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-factories-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-factories-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-factories-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-factories-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-factories-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-sources.jar
%if 0
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver1800}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver1800}.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver1900}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver1900}.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2000}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2000}.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2400}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2400}.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2500}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2500}.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2600}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2600}.jar
%endif
#%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2700}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2700}.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-undertow-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-undertow-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-undertow-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-udp-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-udp-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-udp-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}-sources.jar
%if %with test_utils
%{__cp} -p %{_sourcedir}/jbossws-cxf-test-utils-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-test-utils-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-test-utils-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-test-utils-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-test-utils-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-test-utils-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jbossws-cxf-%{namedversion}
unzip -qq %{_sourcedir}/jbossws-cxf-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jbossws-cxf-%{namedversion} -x META-INF/\*
%{__ln_s} jbossws-cxf-%{namedversion} %{buildroot}%{_javadocdir}/jbossws-cxf
%endif

%files
%defattr(0644,root,root,0755)
%doc README.md LICENSE.txt
%if 0
%{_javadir}/jbossws-cxf-jaspi-%{namedversion}.jar
%{_javadir}/jbossws-cxf-jaspi.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-jaspi-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-jaspi-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-jaspi-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-jaspi-sources.jar
%endif
%{_javadir}/jbossws-cxf-server-%{namedversion}.jar
%{_javadir}/jbossws-cxf-server.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-server-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-server-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-server-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-server-sources.jar
%{_javadir}/jbossws-cxf-client-%{namedversion}.jar
%{_javadir}/jbossws-cxf-client.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-client-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-client-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-client-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-client-sources.jar
%{_javadir}/jbossws-cxf-factories-%{namedversion}.jar
%{_javadir}/jbossws-cxf-factories.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-factories-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-factories-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-factories-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-factories-sources.jar
%{_javadir}/jbossws-cxf-resources-%{namedversion}.jar
%{_javadir}/jbossws-cxf-resources.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-resources-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-resources-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-resources-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-resources-sources.jar
#%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2700}.jar
#%{_javadir}/jbossws-cxf-resources-wildfly%{wildflyver2700}.jar

%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}.jar
%{_javadir}/jbossws-cxf-transports-undertow.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-transports-undertow-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-transports-undertow-sources.jar
%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}.jar
%{_javadir}/jbossws-cxf-transports-udp.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-transports-udp-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-transports-udp-sources.jar
%if %with test_utils
%{_javadir}/jbossws-cxf-test-utils-%{namedversion}.jar
%{_javadir}/jbossws-cxf-test-utils.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-test-utils-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-test-utils-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-test-utils-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-test-utils-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jbossws-cxf-%{namedversion}
%{_javadocdir}/jbossws-cxf
%endif


%changelog
* Fri Oct 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 7.0.0-1.Final_redhat_00001.1
- Built by CPaaS

* Fri Mar 03 2023 Permaine Cheung <pcheung@redhat.com> - 6.2.0-1.Final_redhat_00001.1
- Build no longer contains wildfly2700 jar

* Fri Mar 03 2023 cpaas-ops <cpaas-ops@redhat.com> - 6.2.0-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 6.1.0-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Aug 30 2022 cpaas-ops <cpaas-ops@redhat.com> - 6.0.0-2.Final_redhat_00002.1
- Built by CPaaS

* Wed Aug 24 2022 cpaas-ops <cpaas-ops@redhat.com> - 6.0.0-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Jul 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.5.0-3.Final_redhat_00001.1
- Built by CPaaS



* Wed Jun 01 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.5.0-2.Final_redhat_00001.1
Built by CPaaS



* Wed Jun 01 2022 Yong Yang <yyang@redhat.com> - 5.5.0-1.Final_redhat_00001.1
- Update for 5.5.0.Final-redhat-00001
